> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create lease

POST https://api.propexo.com/v1/leases/
Content-Type: application/json

Create a lease for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/leases/create-lease

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leases__post_input.

- `integration_id` (string, required)
- `type` (enum, optional) — The type associated with the lease
  - Allowed values: `Fixed`, `FixedWithRollover`, `AtWill`
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `start_date` (V1LeasesPostInputStartDate, optional) — The start date associated with the lease
- `first_name` (string, optional) — The first name associated with the applicant. Required if lead_id is not specified
- `last_name` (string, optional) — The last name associated with the applicant. Required if lead_id is not specified
- `address_1` (string, optional) — The first address line associated with the resident
- `city` (string, optional) — The city associated with the resident
- `state` (string, optional) — The state associated with the resident
- `zip` (string, optional) — The zip code associated with the resident
- `country` (enum, optional) — The country associated with the resident
  - Allowed values: `US`
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account
- `end_date` (V1LeasesPostInputEndDate, optional) — The end date associated with the lease
- `send_welcome_email` (boolean, optional, default: false) — Whether to send a welcome email to the tenant
- `email_1` (string, optional) — The primary email address associated with the applicant
- `email_2` (string, optional) — The secondary email address associated with the resident
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `date_of_birth` (V1LeasesPostInputDateOfBirth, optional) — The date of birth associated with the applicant
- `address_2` (string, optional) — The second address line associated with the resident
- `address_1_alternate` (string, optional) — The first alternate address line associated with the resident
- `address_2_alternate` (string, optional) — The second alternate address line associated with the resident
- `city_alternate` (string, optional) — The alternate city associated with the resident
- `state_alternate` (string, optional) — The alternate state associated with the resident
- `zip_alternate` (string, optional) — The alternate zip code associated with the resident
- `country_alternate` (enum, optional) — The alternate country associated with the resident
  - Allowed values: `US`
- `rent_cycle` (enum, optional) — The duration in which rent charges will be automatically appended to the lease ledger
  - Allowed values: `Monthly`, `Weekly`, `Every2Weeks`, `Quarterly`, `Yearly`, `Every2Months`, `Daily`, `Every6Months`, `OneTime`
- `rent_amount_in_cents` (integer, optional) — The rent amount in cents for the lease
- `rent_due_date` (V1LeasesPostInputRentDueDate, optional) — The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `lease_period_id` (string, optional) — The Propexo unique identifier for the lease period
- `floor_plan_id` (string, optional) — The Propexo unique identifier for the floor plan
- `scheduled_move_in_date` (V1LeasesPostInputScheduledMoveInDate, optional) — The move-in date associated with the lease
- `primary_contact_id` (string, optional) — The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
- `tenants` (list of V1LeasesPostInputTenantsItems, optional) — An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
- `scheduled_move_out_date` (string, optional) — The scheduled move-out date associated with the lease
- `status` (enum, optional) — The status associated with the lease
  - Allowed values: `PENDING`, `ACTIVE`
- `resident_id` (string, optional) — The Propexo unique identifier for the resident
- `realized_move_in_date` (string, optional) — The move-in date associated with the lease
- `realized_move_out_date` (string, optional) — The move-out date associated with the lease
- `employee_id` (string, optional) — The Propexo unique identifier for the employee. Employee must have a role of LEASING_AGENT. Required if lead_id is not specified
- `nsf_fee_amount_in_cents` (integer, optional) — The NSF fee amount in cents for the lease
- `associated_resident_ids` (list of string, optional) — A list of Propexo Resident IDs associated with the lease. The resident must be a primary.
- `resident_charges` (list of V1LeasesPostInputResidentChargesItems, optional) — A list of move in charges for the lease
- `recurring_resident_charges` (list of V1LeasesPostInputRecurringResidentChargesItems, optional) — A list of recurring charges for the lease
- `other_occupants` (list of V1LeasesPostInputOtherOccupantsItems, optional) — A list of other occupants for the application
- `lead_id` (string, optional) — The Propexo unique identifier for the lead. The lead will be converted to an applicant
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source. Required if lead_id is not specified
- `third_party_id` (string, optional) — A unique ID you would like to associate with the applicant. This is not the Yardi applicant ID. Required if lead_id is not specified
- `organization_name` (string, optional) — The name of your organization. Yardi uses this for associating an applicant. Required if lead_id is not specified
- `middle_name` (string, optional) — The middle name associated with the applicant
- `maiden_name` (string, optional) — The maiden name associated with the applicant
- `move_in_date` (V1LeasesPostInputMoveInDate, optional) — The desired move-in date to the unit listed in the application
- `move_out_date` (V1LeasesPostInputMoveOutDate, optional) — The desired move-out date to the unit listed in the application
- `desired_lease_term_in_months` (string, optional) — The desired lease term in months of the applicant
- `notes` (string, optional) — Notes associated with the applicant
- `is_evicted` (boolean, optional) — Whether the applicant has been evicted
- `is_felony` (boolean, optional) — Whether the applicant has a felony
- `is_criminal_charge` (boolean, optional) — Whether the applicant has a criminal charge
- `eviction_description` (string, optional) — The description of the eviction
- `felony_description` (string, optional) — The description of the felony
- `criminal_charge_description` (string, optional) — The description of the criminal charge
- `marital_status` (enum, optional) — The marital status of the applicant
  - Allowed values: `SINGLE`, `MARRIED`
- `identification_number` (string, optional) — The social security number of the applicant
- `drivers_license_number` (string, optional) — The driver's license number of the applicant
- `address_history` (list of V1LeasesPostInputAddressHistoryItems, optional) — The address history of the applicant
- `emergency_contacts` (list of V1LeasesPostInputEmergencyContactsItems, optional) — A list of emergency contacts for the applicant
- `employment_history` (list of V1LeasesPostInputEmploymentHistoryItems, optional) — The employment history of the applicant
- `other_income` (list of V1LeasesPostInputOtherIncomeItems, optional) — A list of other income sources for the applicant
- `vehicles` (list of V1LeasesPostInputVehiclesItems, optional) — A list of vehicles for the application
- `pets` (list of V1LeasesPostInputPetsItems, optional) — A list of applicant pets
- `concession_fees` (list of V1LeasesPostInputConcessionFeesItems, optional) — A list of concession fees for the application
- `application_fees` (list of V1LeasesPostInputApplicationFeesItems, optional) — A list of application fees for the application

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1LeasesPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesPostInputStartDate

The start date associated with the lease

### V1LeasesPostInputEndDate

The end date associated with the lease

### V1LeasesPostInputDateOfBirth

The date of birth associated with the applicant

### V1LeasesPostInputRentDueDate

The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

### V1LeasesPostInputScheduledMoveInDate

The move-in date associated with the lease

### V1LeasesPostInputTenantsItems

- `id` (string, required) — The Propexo unique identifier for the lead, applicant, or resident

### V1LeasesPostInputResidentChargesItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `post_date` (V1LeasesPostInputResidentChargesItemsPostDate, required) — The post date for the resident charge
- `description` (string, required) — Description of the resident charge
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `is_prorated` (boolean, required) — Whether or not the resident charge is prorated

### V1LeasesPostInputRecurringResidentChargesItems

- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `start_date` (V1LeasesPostInputRecurringResidentChargesItemsStartDate, required) — The start date associated with the recurring resident charge
- `description` (string, required) — Description of the resident charge
- `amount_in_cents` (integer, required) — The amount of the recurring resident charge, in cents
- `charge_due_day` (integer, required) — The day of the month the charge is due
- `frequency_raw` (integer, required) — The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine
- `end_date` (V1LeasesPostInputRecurringResidentChargesItemsEndDate, optional) — The end date associated with the recurring resident charge

### V1LeasesPostInputOtherOccupantsItems

- `relationship` (enum, required) — The relationship of the occupant to the applicant
  - Allowed values: `ROOMMATE`, `SPOUSE`, `GUARANTOR`, `OTHER`
- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `third_party_id` (string, required) — A unique ID you would like to associate with the occupant. This is not the Yardi occupant ID
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating an occupant
- `email_1` (string, optional) — The primary email address associated with the occupant
- `phone_1` (string, optional) — Primary phone number associated with the occupant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the occupant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the occupant
- `city` (string, optional) — The city associated with the occupant
- `state` (enum, optional) — The state associated with the occupant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code associated with the occupant

### V1LeasesPostInputMoveInDate

The desired move-in date to the unit listed in the application

### V1LeasesPostInputMoveOutDate

The desired move-out date to the unit listed in the application

### V1LeasesPostInputAddressHistoryItems

- `address_1` (string, required) — The first address line associated with the applicant's historical address
- `city` (string, required) — The city associated with the applicant's historical address
- `state` (enum, required) — The state associated with the applicant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, required) — The zip code associated with the applicant's historical address
- `notice_provided` (boolean, required) — Whether notice has been given to the applicant's historical address
- `move_in_date` (V1LeasesPostInputAddressHistoryItemsMoveInDate, required) — The date when the applicant moved into their historical address
- `country` (V1LeasesPostInputAddressHistoryItemsCountry, optional) — The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
- `property_name` (string, optional) — The property name of the applicant's historical address
- `reason_for_leaving` (string, optional) — The reason the applicant left their historical address
- `monthly_payment_in_cents` (integer, optional) — For the applicant's historical address, the applicant's monthly payment for rent or mortgage in cents
- `move_out_date` (V1LeasesPostInputAddressHistoryItemsMoveOutDate, optional) — The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field
- `manager_phone` (string, optional) — The phone number of a property manager who works at this address
- `manager_email` (string, optional) — The email of a property manager who works at this address
- `management_company` (string, optional) — The name of the company who owns the property at this address

### V1LeasesPostInputEmergencyContactsItems

- `first_name` (string, required) — The first name of the emergency contact
- `last_name` (string, required) — The last name of the emergency contact
- `relationship` (enum, required) — The relationship of the emergency contact to the applicant
  - Allowed values: `DAUGHTER`, `FRIEND`, `HUSBAND`, `SON`, `WIFE`, `OTHER`
- `address_1` (string, optional) — The first line of the address of the emergency contact
- `city` (string, optional) — The city of the address of the emergency contact
- `state` (enum, optional) — The state of the address of the emergency contact
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the emergency contact
- `country` (V1LeasesPostInputEmergencyContactsItemsCountry, optional) — The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
- `phone_1` (string, optional) — The phone number of the emergency contact

### V1LeasesPostInputEmploymentHistoryItems

- `is_current_employer` (boolean, required) — Whether this employment history entry is for a current employer
- `name` (string, required) — The name of the employer
- `start_date` (V1LeasesPostInputEmploymentHistoryItemsStartDate, required) — The start date of the applicant's employment at this employer
- `monthly_income_in_cents` (integer, required) — The monthly income of the applicant at this employer in cents
- `end_date` (V1LeasesPostInputEmploymentHistoryItemsEndDate, optional) — The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true
- `address_1` (string, optional) — The first line of the address of the employer
- `city` (string, optional) — The city of the address of the employer
- `state` (enum, optional) — The state of the address of the employer
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the employer
- `phone` (string, optional) — The phone number of the employer
- `supervisor_first_name` (string, optional) — The first name of the applicant's supervisor at this employer
- `supervisor_last_name` (string, optional) — The last name of the applicant's supervisor at this employer
- `position` (string, optional) — The position held at this employer, or the job description of the applicant

### V1LeasesPostInputOtherIncomeItems

- `source` (string, required) — The source of the income for the applicant
- `monthly_income_in_cents` (integer, required) — The monthly income from this income source in cents

### V1LeasesPostInputVehiclesItems

- `make` (string, required) — The make of the vehicle
- `model` (string, optional) — The model of the vehicle
- `year` (integer, optional) — The year the vehicle was made
- `color` (string, optional) — The color of the vehicle
- `license_plate_number` (string, optional) — The license plate number of the vehicle
- `license_plate_state` (string, optional) — The issuing state of the license plate

### V1LeasesPostInputPetsItems

- `type` (string, required) — The type associated with the applicant pet
- `name` (string, optional) — The name associated with the applicant pet
- `age_in_years` (integer, optional) — The age in years of the applicant pet
- `weight_in_pounds` (integer, optional) — The weight in pounds of the applicant pet
- `breed` (string, optional) — The breed of the applicant pet
- `color` (string, optional) — The color of the applicant pet
- `gender` (string, optional) — The raw value for the gender of the applicant pet
- `is_fixed` (boolean, optional) — Whether the applicant pet is fixed
- `is_service_animal` (boolean, optional) — Whether the applicant pet is a service animal

### V1LeasesPostInputConcessionFeesItems

- `start_date` (V1LeasesPostInputConcessionFeesItemsStartDate, required) — The start date of the applicant's recurring concession fee
- `end_date` (V1LeasesPostInputConcessionFeesItemsEndDate, required) — The end date of the applicant's recurring concession fee
- `concession_id` (string, required) — The Propexo unique identifier for the concession. This concession must be associated with the unit that the applicant is applying for

### V1LeasesPostInputApplicationFeesItems

- `charge_code_id` (string, required) — The Propexo unique identifier for the charge code. This must be an application fee charge code
- `amount_in_cents` (integer, required) — The application fee amount in cents
- `description` (string, optional) — Description of the application fee

### V1LeasesPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeasesPostInputResidentChargesItemsPostDate

The post date for the resident charge

### V1LeasesPostInputRecurringResidentChargesItemsStartDate

The start date associated with the recurring resident charge

### V1LeasesPostInputRecurringResidentChargesItemsEndDate

The end date associated with the recurring resident charge

### V1LeasesPostInputAddressHistoryItemsMoveInDate

The date when the applicant moved into their historical address

### V1LeasesPostInputAddressHistoryItemsCountry

The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

### V1LeasesPostInputAddressHistoryItemsMoveOutDate

The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field

### V1LeasesPostInputEmergencyContactsItemsCountry

The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

### V1LeasesPostInputEmploymentHistoryItemsStartDate

The start date of the applicant's employment at this employer

### V1LeasesPostInputEmploymentHistoryItemsEndDate

The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true

### V1LeasesPostInputConcessionFeesItemsStartDate

The start date of the applicant's recurring concession fee

### V1LeasesPostInputConcessionFeesItemsEndDate

The end date of the applicant's recurring concession fee

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leases/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leases/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```